#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/MINIDLNA_USER.sh
#
# Creation:     2012-03-16 Ansgar Puester
# Last update:  $Id: MINIDLNA_USER.sh 366 2012-03-16 18:34:54Z ansgar $
#
# Copyright (c) 2001-2012 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    # ------------------------------------------
    # Create a comma separated list of all users
    sellist=''
    sellist="$( getent passwd |awk -F":" ' !/nobody|nslcd/ { if ( $3 > 2000 ) { printf KOMMA$1;KOMMA=","   }} END {print KOMMA"root"} ' )"
    ece_select_list_dlg "$win" "Select a user" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
